Index: XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp	(revision 415)
+++ XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp	(revision 432)
@@ -35,4 +35,12 @@
   }
   
+  bool cxios_is_defined_filegroup_description(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->description.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_enabled(filegroup_Ptr filegroup_hdl, bool enabled)
@@ -49,4 +57,12 @@
   }
   
+  bool cxios_is_defined_filegroup_enabled(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->enabled.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_group_ref(filegroup_Ptr filegroup_hdl, const char * group_ref, int group_ref_size)
@@ -68,4 +84,12 @@
   }
   
+  bool cxios_is_defined_filegroup_group_ref(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->group_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_min_digits(filegroup_Ptr filegroup_hdl, int min_digits)
@@ -82,4 +106,12 @@
   }
   
+  bool cxios_is_defined_filegroup_min_digits(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->min_digits.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_name(filegroup_Ptr filegroup_hdl, const char * name, int name_size)
@@ -101,4 +133,12 @@
   }
   
+  bool cxios_is_defined_filegroup_name(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_name_suffix(filegroup_Ptr filegroup_hdl, const char * name_suffix, int name_suffix_size)
@@ -120,4 +160,12 @@
   }
   
+  bool cxios_is_defined_filegroup_name_suffix(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->name_suffix.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_output_freq(filegroup_Ptr filegroup_hdl, const char * output_freq, int output_freq_size)
@@ -139,4 +187,12 @@
   }
   
+  bool cxios_is_defined_filegroup_output_freq(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->output_freq.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_output_level(filegroup_Ptr filegroup_hdl, int output_level)
@@ -153,4 +209,12 @@
   }
   
+  bool cxios_is_defined_filegroup_output_level(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->output_level.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_par_access(filegroup_Ptr filegroup_hdl, const char * par_access, int par_access_size)
@@ -172,4 +236,12 @@
   }
   
+  bool cxios_is_defined_filegroup_par_access(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->par_access.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_split_freq(filegroup_Ptr filegroup_hdl, const char * split_freq, int split_freq_size)
@@ -191,4 +263,39 @@
   }
   
+  bool cxios_is_defined_filegroup_split_freq(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->split_freq.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
+  
+  void cxios_set_filegroup_split_freq_format(filegroup_Ptr filegroup_hdl, const char * split_freq_format, int split_freq_format_size)
+  {
+    std::string split_freq_format_str;
+    if(!cstr2string(split_freq_format, split_freq_format_size, split_freq_format_str)) return;
+     CTimer::get("XIOS").resume();
+    filegroup_hdl->split_freq_format.setValue(split_freq_format_str);
+    filegroup_hdl->sendAttributToServer(filegroup_hdl->split_freq_format);
+     CTimer::get("XIOS").suspend();
+  }
+  
+  void cxios_get_filegroup_split_freq_format(filegroup_Ptr filegroup_hdl, char * split_freq_format, int split_freq_format_size)
+  {
+     CTimer::get("XIOS").resume();
+    if(!string_copy(filegroup_hdl->split_freq_format.getValue(),split_freq_format , split_freq_format_size))
+      ERROR("void cxios_get_filegroup_split_freq_format(filegroup_Ptr filegroup_hdl, char * split_freq_format, int split_freq_format_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
+  }
+  
+  bool cxios_is_defined_filegroup_split_freq_format(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->split_freq_format.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_sync_freq(filegroup_Ptr filegroup_hdl, const char * sync_freq, int sync_freq_size)
@@ -210,4 +317,12 @@
   }
   
+  bool cxios_is_defined_filegroup_sync_freq(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->sync_freq.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_type(filegroup_Ptr filegroup_hdl, const char * type, int type_size)
@@ -229,4 +344,12 @@
   }
   
+  bool cxios_is_defined_filegroup_type(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->type.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   
